> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withcortex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Record Status

> Retrieve the current status of a specific record.



## OpenAPI

````yaml get /apps/{app_id}/collections/{collection_id}/records/{record_id}/status
openapi: 3.0.0
info:
  version: 1.0.0
  title: API
servers: []
security: []
paths:
  /apps/{app_id}/collections/{collection_id}/records/{record_id}/status:
    get:
      summary: Get Record Status
      description: Retrieve the current status of a specific record.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the app
          name: app_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the collection
          name: collection_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the record
          name: record_id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordStatusSchema'
components:
  schemas:
    RecordStatusSchema:
      type: object
      properties:
        status:
          type: string
          enum:
            - DRAFT
            - QUEUED
            - RUNNING
            - CANCELLED
            - COMPLETED
            - FAILED
          description: Current status of the record
          example: FAILED
        errors:
          type: array
          items:
            $ref: '#/components/schemas/RecordRuleErrorSchema'
          description: List of errors if the record failed validation
      required:
        - status
      description: Status information of a record, including any validation errors
    RecordRuleErrorSchema:
      type: object
      properties:
        message:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              expected:
                type: string
              received:
                type: string
              path:
                type: array
                items:
                  type: string
              message:
                type: string
            required:
              - code
              - expected
              - received
              - path
              - message
        key:
          type: string
      required:
        - message
        - errors
        - key
      description: Detailed information about a rule execution error

````